Page MenuHomePhabricator

Media viewer doesn't open PDFs
Closed, ResolvedPublic

Description

Author: swalling

Description:
Steps to replicate:

  1. Log in and enable media viewer beta feature
  2. Visit a page with a PDF embedded, like https://meta.wikimedia.org/wiki/Metrics_and_activities_meetings/Quarterly_reviews/Editor_engagement_experiments/2013-04-12#Slides
  3. Click on the PDF

Nothing happens for me at this point.

If I open the same page in an incognito browser (Chrome or Safari), the File page for the PDF immediately opens.


Version: unspecified
Severity: normal

Details

Reference
bz64345

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:15 AM
bzimport added a project: MediaViewer.
bzimport set Reference to bz64345.
bzimport added a subscriber: Unknown Object (MLST).
Tgr added a comment.Apr 24 2014, 1:11 AM

Tracked at https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/497. Maybe the .jpg extension of the thumbnail confuses MediaViewer into thinking this is a format it can handle. (Did not happen with other unsupported file formats, though.)

had this bug yesterday on mediawikiwiki, today it works again in Firefox 28.
hm...

Interesting bug. I can reproduce on my end, using Chrome on a Mac.

Normally, the Media Viewer doesn't support PDFs at all, so I am not sure where the problem is coming from.

Interestingly, it seems to work differently if the PDF slides are in image mode or in thumbnail mode.

So if I click on the current page, using this image script, nothing happens for me:

[[File:E3-QuarterlyReview2-April2.pdf|450px|Slide deck]]

But if I add a '|thumb' to make the slides appear as a thumbnail, then I can click on that thumbnail to access the file page.

[[File:E3-QuarterlyReview2-April2.pdf|thumb|450px|Slide deck]]

I prioritized this bug as 'normal' for now, since PDF slides represent a small percentage of files on our site.

Change 130264 had a related patch set uploaded by Gergő Tisza:
Ensure click playback happens at the right time

https://gerrit.wikimedia.org/r/130264

Tgr added a comment.Apr 29 2014, 12:33 AM

This is triggered when there are no MediaViewer-compatible images on the page. See commit message for details.

Change 130264 merged by jenkins-bot:
Ensure click playback happens at the right time

https://gerrit.wikimedia.org/r/130264

Change 130491 had a related patch set uploaded by Gergő Tisza:
Ensure click playback happens at the right time

https://gerrit.wikimedia.org/r/130491

Change 130492 had a related patch set uploaded by Gergő Tisza:
Ensure click playback happens at the right time

https://gerrit.wikimedia.org/r/130492

Change 130491 merged by jenkins-bot:
Ensure click playback happens at the right time

https://gerrit.wikimedia.org/r/130491

Change 130492 merged by EBernhardson:
Ensure click playback happens at the right time

https://gerrit.wikimedia.org/r/130492

Gilles raised the priority of this task from Medium to Unbreak Now!.Dec 4 2014, 10:25 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Medium.Dec 4 2014, 11:21 AM